using System;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore.Infrastructure;
using ReactiveUI;
using RegAuth.Models;
using System.Security.Cryptography;
using System.Text;
namespace RegAuth.ViewModels
{
	internal class RegViewModel : ViewModelBase 
    { 
        User _newUser = new User();
        public User NewUser { get => _newUser; set => this.RaiseAndSetIfChanged(ref _newUser, value); }
        string _password;
        public string Password { get => _password; set => _password = value; }

        public void AddUser()
        {
            if (_password != string.Empty)
            {
                NewUser.Password = MD5.HashData(Encoding.ASCII.GetBytes(Password));
            }
            NewUser.Roleid = 1;
            MainWindowViewModel.myConnection.Users.Add(NewUser);
            MainWindowViewModel.myConnection.SaveChanges();
            MainWindowViewModel.Instance.Uc = new Main();
        }
    }
}